Grouping label for "none" should be changed to "null", "No Value", or" (blank) ".
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed Affected version: 2.5.0

Description

This is the brother ticket of #18894. (see #18894-5 ).

In the query with "Group results by" a boolean filed, both "No" and "(blank, or to say, not specified)" are grouped under same name

(label) of "none" collapse/expand indicator lines.

This happens if the boolean field is not defined as "required".

Boolean field which is not defined as "required" contains 3 values, "Yes", "No" and "(blank, or to say, not specified)", so it is better to

be grouped in different label names.

Could it be changed the label of "none" for "(blank, or to say, not specified)" value to the other one ?

The candidate strings are "null", "No Value", or"(blank)".

Notes on translation

I am afraid translation texts may be affected when changing the label text strings. For example, "none" is translated to "なし" in

Japanese. If the string is "null", it may be translated to "空".

Reported version

Redmine 2.5.0.stable. Details are as follows.

1. Test redmine (Windows7)

 Environment:

   Redmine version    2.5.0.stable

   Ruby version       1.9.3-p231 (2012-05-25) [i386-mingw32]

   Rails version      3.2.17

   Environment        production

   Database adapter   Mysql2

2. Production redmine (Linux)

 Environment:

   Redmine version    2.5.0.stable

   Ruby version       1.9.3-p484 (2013-11-22) [x86_64-linux]

   Rails version      3.2.17

   Environment        production

   Database adapter   PostgreSQL

Associated revisions

Revision 13979 - 2015-02-08 10:37 - Jean-Philippe Lang

Adds a specific string for blank values (#18918).

Revision 13980 - 2015-02-08 10:39 - Jean-Philippe Lang

Fixed assertion (#18918).
https://www.redmine.org/issues/18894
https://www.redmine.org/issues/18894#note-5


History

#1 - 2015-02-08 10:39 - Jean-Philippe Lang

- Subject changed from Grouping of Boolean field: Grouping label for "none" should be changed to "null", "No Value", or" (blank) ". to Grouping label

for "none" should be changed to "null", "No Value", or" (blank) ".

- Category changed from Custom fields to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Label changed in r13979 and set to "(blank)"

#2 - 2015-02-09 01:39 - kaz k

Jean-Philippe Lang wrote:

Label changed in r13979 and set to "(blank)"

 "(blank)" is appropriate, I think.

Thank you very much to you all of redmine.org.
